#include <bits/stdc++.h>
using namespace std;
int mesto=0;
int main(){
int n,k,N[1005];
cin >> n >> k;
 for(int i=1; i<=n; i++){
     cin >>N[i];
 }
 for(int l=1; l<=n; l++){
     if(N[l]==k){
     mesto=l;
     }
 }
  if(mesto==n){
    cout << N[1] << endl; 
  }
  else
      cout << N[mesto+1] <<endl;
  
 



return 0;
}